[pve-devel] [PATCH pve-kernel-meta 2/2] fix #3781: add Provides: wireguard-modules to control.in

Stoiko Ivanov s.ivanov at proxmox.com
Mon Dec 13 15:52:15 CET 2021


without this line `apt install wireguard` pulls in Debian's kernel +
firmware which confilcts with pve-firmware - forcing users to install
via `apt install --no-install-recommends wireguard-tools` in order to
get the userspace utils.

Plain debian has the 'Provides' in the meta-package[0]
(linux-image-amd64), so following this add it to pve-kernel-$MAJ.$MIN

versioned dependency added since wireguard has a versioned dependency
on wireguard-modules.

[0] https://salsa.debian.org/kernel-team/linux/-/blob/master/debian/templates/control.image.meta.in

Signed-off-by: Stoiko Ivanov <s.ivanov at proxmox.com>
---
 debian/control.in | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/debian/control.in b/debian/control.in
index ce9f19a..036032d 100644
--- a/debian/control.in
+++ b/debian/control.in
@@ -20,7 +20,7 @@ Description: Latest Proxmox VE Kernel Headers
 Package: pve-kernel- at KERNEL_VER@
 Architecture: all
 Section: admin
-Provides: linux-image-amd64, linux-image-generic
+Provides: linux-image-amd64, linux-image-generic, wireguard-modules (=1.0.0)
 Priority: optional
 Depends: pve-firmware,
          pve-kernel- at KERNEL_ABI@,
-- 
2.30.2





More information about the pve-devel mailing list